commit fe3727dbc0a74fda04eed7f0ff28d8481a87fc46
parent cf141212f32b0566c16975ca21206e6d1aabaa2e
Author: mntmn <lukas@mnt.mn>
Date: Thu, 15 Nov 2018 19:17:28 +0100
small handbook fixes, handbook pdf build script
Diffstat:
5 files changed, 10 insertions(+), 4 deletions(-)
diff --git a/handbook/build-pdf.sh b/handbook/build-pdf.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+set -xe
+make latexpdf
+pdftk A=reform-handbook-cover.pdf B=build/latex/Reform.pdf cat A1 B2-end output reform-handbook.pdf
+
diff --git a/handbook/reform-handbook-cover.pdf b/handbook/reform-handbook-cover.pdf
Binary files differ.
diff --git a/handbook/reform-handbook.pdf b/handbook/reform-handbook.pdf
Binary files differ.
diff --git a/handbook/source/credits/index.rst b/handbook/source/credits/index.rst
@@ -7,7 +7,7 @@ Credits
:Sleeve Design, Assembly: Greta Melnik
-:Special Thanks: FabLab Berlin, Neuform, CCC Berlin, Fedevel/Voipac, etnaviv, Xorg, Mesa, wayland, Igalia, heise/Make Germany, Philip Steffan, Interface Critique/Florian Hadler, Gabriel Yoran, JD Music Labs, Crowd Supply, malcolmputer, zakx, darthrake, erlehmann, plomlompom, scallo, dridde, grncdr, Novena, Mastodon, a1k, Disko Koenig, S.I.H., The Reform Beta Testers (you!)
+:Special Thanks: FabLab Berlin, Neuform, CCC Berlin, Fedevel/Voipac, etnaviv, Xorg, Mesa, wayland, Igalia, heise/Make Germany, Philip Steffan, Interface Critique/Florian Hadler, Gabriel Yoran, JD Music Labs, Crowd Supply, malcolmputer, zakx, darthrake, erlehmann, plomlompom, scallo, dridde, grncdr, oomono, Daniel Stone, Martin Meyerhoff, Gregor May, Novena, Mastodon, a1k, Disko Koenig, S.I.H., The Reform Beta Testers (you!)
:Inter UI Font: rsms
diff --git a/handbook/source/motherboard/attiny.rst b/handbook/source/motherboard/attiny.rst
@@ -32,9 +32,10 @@ It accepts commands in the form of a single letter followed by return. The curre
In addition, these commands can be prefixed with a decimal number (up to four digits):
-- *600b*: Reset the battery capacity counter to 10Ah (600 Amp minutes)
+- *600c: Reset the battery capacity counter to 10Ah (600 Amp minutes)
- *500t*: Set the lid sensor open/closed threshold to the value 500
-
+- *10w*: Set the lid sensor open/closed hysteresis to 10
+
Undervoltage Protection (UVLO)
------------------------------
@@ -43,7 +44,7 @@ The microcontroller is supposed to detect a dangerously low voltage on the batte
Lid Sensor
----------
-The ATTiny senses if the lid is open or closed using the hall effect sensor (Honeywell SS495A). The lid is considered closed when a magnet is close to the sensor. The ATTiny outputs the string "lid_open" via its serial port which can wake the i.MX6 up from sleep.
+The ATTiny senses if the lid is open or closed using the hall effect sensor (Honeywell SS495A). The lid is considered closed when a magnet is close to the sensor. The ATTiny outputs the string "wake" via its serial port which can wake the i.MX6 up from sleep.
Flashing the Firmware
---------------------